%define realname digidoc
%define major 2
%define libname %mklibname %{realname} %major
%define develname %mklibname %{realname} -d

Name:		libdigidoc
Version:	3.10.2
Release:	%mkrel 2
Summary:	Library for handling digitally signed documents

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
Source:		http://archive.esteid.org/%{version}/%{name}-%{version}.tar.gz
Patch0:		libdigidoc-3.10.2-fix-CA_CERT_PATH.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)

%description
libDigiDoc is a library implementing a subset of the XAdES digital
signature standard on top of Estonian specific .ddoc container format.
It allows to create, sign, verify, and modify digidoc XML containers.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Library for handling digitally signed documents
Requires:	%name = %{version}

%description	-n %{libname}
This package contains libraries and header files for
developing applications that use %{name}.


%package	-n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	pkgconfig
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
This package contains libraries and header files for
developing applications that use %{libname}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir} ../..
popd

%make -C %{_target_platform}/build


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}/build

# Remove unneeded certificates
rm -f %{buildroot}%{_datadir}/%{name}/*.crt


%files
%config %{_sysconfdir}/digidoc.conf
%doc README.md RELEASE-NOTES.txt
%{_bindir}/cdigidoc
%{_mandir}/man1/cdigidoc.1.*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.*

%files -n %{develname}
%doc doc/SK-CDD-PRG-GUIDE.pdf doc/SK-COM-PRG-GUIDE.pdf
%{_includedir}/libdigidoc/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%changelog
* Fri Jan 13 2017 sander85 <sander85> 3.10.2-2.mga6
+ Revision: 1081251
- Fix CA_CERT_PATH

* Tue May 03 2016 sander85 <sander85> 3.10.2-1.mga6
+ Revision: 1008942
- New version: 3.10.2

* Wed Mar 02 2016 umeabot <umeabot> 3.10.1.1208-2.mga6
+ Revision: 983565
- Rebuild for openssl

* Sat Jan 16 2016 sander85 <sander85> 3.10.1.1208-1.mga6
+ Revision: 924693
- New version: 3.10.1

* Fri Jun 26 2015 sander85 <sander85> 3.10.0-1.mga6
+ Revision: 844711
- New version: 3.10.0

* Sun Oct 26 2014 sander85 <sander85> 3.9.1-1.mga5
+ Revision: 793482
- New version: 3.9.1

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-3.mga5
+ Revision: 749375
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-2.mga5
+ Revision: 681408
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Mon Jul 07 2014 sander85 <sander85> 3.9.0-1.mga5
+ Revision: 650462
- New version: 3.9.0

* Wed Feb 05 2014 sander85 <sander85> 3.8.0-1.mga5
+ Revision: 583349
- New version: 3.8.0

* Sat Oct 19 2013 umeabot <umeabot> 3.7.2-2.mga4
+ Revision: 533347
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 3.7.2-1.mga4
+ Revision: 472630
- New version: 3.7.2

* Sun Jun 02 2013 sander85 <sander85> 3.7.1-1.mga4
+ Revision: 435366
- New version: 3.7.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 356972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0.0-2.mga3
+ Revision: 295979
- Fix cmake sysconfdir

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295317
- New version: 3.6.0.0

* Sat Jul 21 2012 sander85 <sander85> 2.7.1.60-1.mga3
+ Revision: 273167
- new version: 2.7.1.60

* Sun Jan 08 2012 sander85 <sander85> 2.7.1.59-1.mga2
+ Revision: 193284
- new version: 2.7.1.59

* Fri Apr 22 2011 sander85 <sander85> 2.7.1.58-1.mga1
+ Revision: 89801
- imported package libdigidoc


* Fri Apr 22 2011 Sander Lepik <sander.lepik@eesti.ee> 2.7.1.58-1.mga1
- first release for Mageia

* Wed Apr 20 2011 Sander Lepik <sander.lepik@eesti.ee> 2.7.1.58-1mdv2010.2
- new release

* Sat Mar 05 2011 Sander Lepik <sander.lepik@eesti.ee> 2.7.1.55-2mdv2010.2
- spec corrected, added some docs

* Mon Feb 14 2011 Sander Lepik <sander85@mandriva.org> 2.7.1.55-1mdv2010.2
- New release from SK

* Sun Oct 10 2010 Sander Lepik <sander85@mandriva.org> 2.7.0-1mdv2011.0
+ Revision: 584857
- fix group
- New release 2.7.0
- Imported libdigidoc 2.6.0.17 library from openxades.org
- Ported build system from autoconf to CMake
- Changed default save format to 1.3, 1.4 should not be widely used.
- Use FILENAME_MAX for maximum file name length
- Release pkcs11 lib on error and failed pin
- Install public headers in include/digidoc
- Fixed default pkcs11 module path
- Fixed a number of crashes
- Fixed a lot of compiler warnings
- Optionally link against libdl in unix
- Marked extern functions as extern 'C'
- Fixed openssl-1.0.0 compatibility
- Removed reference to SK's internal service from digidoc.conf
- Updated config and certificates to match with the names in
  libdigidocpp
- added 'ESTEID-SK 2007 OCSP 2010' and 'EID-SK 2007 OCSP 2010'
  certificates

* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 2.2.11-5mdv2010.1
+ Revision: 539932
- fix build with openssl 1.0

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 2.2.11-4mdv2010.1
+ Revision: 508568
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.2.11-1mdv2008.1
+ Revision: 136550
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import libdigidoc


* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.11-1mdv2007.0
- 2.2.11
- buildrequires openssl-devel libxml2-devel

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.21-2mdk
- Fix BuildRequires
- %%mkrel 

* Thu Oct 20 2005 Lenny Cartier <lenny@mandriva.com> 2.1.21-1mdk
- 2.1.21

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.0-1mdk
- from Veiko Sinivee <veiko.sinivee@solo.delfi.ee> :
	- updated to libdigidoc release 1.93

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.90.0-1mdk
- new
